Move timestamp generation to separate job

This commit is contained in:
2018-12-15 21:35:39 +00:00
parent 7bcd2008f0
commit bf84a13f6f
4 changed files with 9 additions and 5 deletions

View File

@@ -25,6 +25,9 @@ jobs:
- run: - run:
name: Build CSS and JavaScript name: Build CSS and JavaScript
command: npm run build command: npm run build
- run:
name: Generate timestamp
command: bash build/generate_timestamp.sh
- run: - run:
name: Deploy theme name: Deploy theme
command: bash build/deploy.sh command: bash build/deploy.sh

6
build/deploy.sh Normal file → Executable file
View File

@@ -5,10 +5,6 @@ hash rsync 2>/dev/null || { echo >&2 "Error: rsync is not installed. Aborting.";
[ -z "$SSH_IP" ] && { echo >&2 "Error: SSH_IP is missing. Aborting."; exit 1; } [ -z "$SSH_IP" ] && { echo >&2 "Error: SSH_IP is missing. Aborting."; exit 1; }
[ -z "$SSH_USER" ] && { echo >&2 "Error: SSH_USER is missing. Aborting."; exit 1; } [ -z "$SSH_USER" ] && { echo >&2 "Error: SSH_USER is missing. Aborting."; exit 1; }
# Write deploy timestamp to disk
timestamp=$(date +%s)
echo $timestamp > ./theme/.timestamp
# Deploy theme with rsync # Deploy theme with rsync
rsync -e "ssh -o StrictHostKeyChecking=no" -avzuh --progress \ rsync -e "ssh -o StrictHostKeyChecking=no" -avzuh --progress \
theme/* $SSH_USER@$SSH_IP:~/windycoys_theme theme/. $SSH_USER@$SSH_IP:~/windycoys_theme

5
build/generate_timestamp.sh Executable file
View File

@@ -0,0 +1,5 @@
#!/usr/bin/env bash
# Write deploy timestamp to disk
timestamp=$(date +%s)
echo $timestamp > theme/.timestamp

0
build/purge_cache.sh Normal file → Executable file
View File